
/* edit.h */

#ifndef MY_EDIT_H
#define MY_EDIT_H

#include <QTextEdit>
#include <QCompleter>

class MyEdit : public QTextEdit
{
   Q_OBJECT

   public:
      explicit MyEdit (QWidget *parent = 0);
      // virtual ~ MyEdit ()

   private:
      QTextEdit * info;
   public:
      void setInfo (QTextEdit * p_info);
   private slots:
      void execute ();

   public:
      void setCompleter (QCompleter *c);
      QCompleter *completer() const;

   protected:
      void keyPressEvent (QKeyEvent *e);
      void focusInEvent (QFocusEvent *e);

   private slots:
      void insertCompletion (const QString &completion);

   private:
      QString textUnderCursor() const;

   private:
      QCompleter *c;
};

#endif // MY_VIEW_H
